## Index

### Functions

- OnCheckSession

## Functions

### Const OnCheckSession

- OnCheckSession(cognitoAuthResult?: CognitoUser | any | undefined): Promise<IAuthenticationResult>

- - Defined in events/OnCheckSession.ts:12

  Check user authentication state

  #### Parameters

  - ##### Optional cognitoAuthResult: CognitoUser | any | undefined

    optional result of authentication operation. Else `Auth.currentSession()`

  #### Returns Promise<IAuthenticationResult>

  See IAuthenticationResult